playMaker

Author Topic: Playmaker Unity Compatability Chart  (Read 735 times)

tcmeric

  • Beta Group
  • Hero Member
  • *
  • Posts: 732
    • View Profile
Playmaker Unity Compatability Chart
« on: July 31, 2018, 11:09:18 PM »
Hi, This is a request for a table showing compatiable (or recommnded version of playmaker with Unity).

Right now there is a big range of Unity being used 2017.1, 2, 3,4 and 2018.1, 2018.2. Also there appears to be more version of playmaker than before (which I love, because it means new progress!)

However, we are getting a fair amount of questions about it on the playmaker slack channel.

Maybe Jean or Alex can say the min recommended version of playmaker for each version of unity?

Thank you~!

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14595
  • Official Playmaker Support
    • View Profile
Re: Playmaker Unity Compatability Chart
« Reply #1 on: July 31, 2018, 11:36:17 PM »
Hi,

PlayMaker is being published like this ( it's describe for all assets on the asset store )



Package has been submitted using Unity 4.6.0, 5.0.0, 5.3.0, 5.4.0, and 2017.1.0 to improve compatibility with the range of these versions of Unity

The version of PlayMaker itself doesn't matter, the packaging process is the same.

so, really, for any 2017 and 2018 projects, there is one PlayMaker package, and it gets more divided for 5.x

Please note that the 4.6 support is actually an old version of PlayMaker  (1.8.5), to avoid the few developers still working on 4 to be forced to update their projects at the cost of not getting the very latest versions of PlayMaker.

The huge issue for people working with multiple versions of Unity is that Unity asset store messed up to the point where if you open a project with 2017, import PlayMaker in a project, and then open Unity 5.6 and import PlayMaker, the asset store will give you the 2017 version... and it will throw errors, for this scenario, you need to clear the asset cache for PlayMaker asset and download it again, which will download the right version.

the cached packages of the asset store are here: https://answers.unity.com/questions/45050/where-unity-store-saves-the-packages.html


Does that answer your question?

 Bye,

 Jean